# -*- coding: utf-8 -*-
"""
Basic interface to about 1,400 emojis.  Simply short_name, and unicode value.  
Has some simple wrappers at bottom, random good emoji, etc.
"""

import random

EMOJIS = {
    "1st_place_medal": "\U0001F947",
    "2nd_place_medal": "\U0001F948",
    "3rd_place_medal": "\U0001F949",
    "AB_button_(blood_type)": "\U0001F18E",
    "ATM_sign": "\U0001F3E7",
    "A_button_(blood_type)": "\U0001F170\U0000FE0F",
    "abacus": "\U0001F9EE",
    "accordion": "\U0001FA97",
    "adhesive_bandage": "\U0001FA79",
    "admission_tickets": "\U0001F39F\U0000FE0F",
    "aerial_tramway": "\U0001F6A1",
    "airplane": "\U00002708\U0000FE0F",
    "airplane_arrival": "\U0001F6EC",
    "airplane_departure": "\U0001F6EB",
    "alarm_clock": "\U000023F0",
    "alembic": "\U00002697\U0000FE0F",
    "alien": "\U0001F47D",
    "alien_monster": "\U0001F47E",
    "ambulance": "\U0001F691",
    "american_football": "\U0001F3C8",
    "amphora": "\U0001F3FA",
    "anatomical_heart": "\U0001FAC0",
    "anchor": "\U00002693",
    "anger_symbol": "\U0001F4A2",
    "angry_face": "\U0001F620",
    "angry_face_with_horns": "\U0001F47F",
    "anguished_face": "\U0001F627",
    "ant": "\U0001F41C",
    "antenna_bars": "\U0001F4F6",
    "anxious_face_with_sweat": "\U0001F630",
    "articulated_lorry": "\U0001F69B",
    "artist": "\U0001F9D1\U0000200D\U0001F3A8",
    "artist_palette": "\U0001F3A8",
    "astonished_face": "\U0001F632",
    "astronaut": "\U0001F9D1\U0000200D\U0001F680",
    "atom_symbol": "\U0000269B\U0000FE0F",
    "auto_rickshaw": "\U0001F6FA",
    "automobile": "\U0001F697",
    "avocado": "\U0001F951",
    "axe": "\U0001FA93",
    "baby": "\U0001F476",
    "baby_angel": "\U0001F47C",
    "baby_bottle": "\U0001F37C",
    "baby_chick": "\U0001F424",
    "baby_symbol": "\U0001F6BC",
    "backhand_index_pointing_down": "\U0001F447",
    "backhand_index_pointing_left": "\U0001F448",
    "backhand_index_pointing_right": "\U0001F449",
    "backhand_index_pointing_up": "\U0001F446",
    "backpack": "\U0001F392",
    "bacon": "\U0001F953",
    "badger": "\U0001F9A1",
    "badminton": "\U0001F3F8",
    "bagel": "\U0001F96F",
    "baggage_claim": "\U0001F6C4",
    "baguette_bread": "\U0001F956",
    "balance_scale": "\U00002696\U0000FE0F",
    "ballet_shoes": "\U0001FA70",
    "balloon": "\U0001F388",
    "ballot_box_with_ballot": "\U0001F5F3\U0000FE0F",
    "banana": "\U0001F34C",
    "banjo": "\U0001FA95",
    "bank": "\U0001F3E6",
    "bar_chart": "\U0001F4CA",
    "barber_pole": "\U0001F488",
    "baseball": "\U000026BE",
    "basket": "\U0001F9FA",
    "basketball": "\U0001F3C0",
    "bat": "\U0001F987",
    "bathtub": "\U0001F6C1",
    "battery": "\U0001F50B",
    "beach_with_umbrella": "\U0001F3D6\U0000FE0F",
    "beaming_face_with_smiling_eyes": "\U0001F601",
    "beans": "\U0001FAD8",
    "bear": "\U0001F43B",
    "beating_heart": "\U0001F493",
    "beaver": "\U0001F9AB",
    "bed": "\U0001F6CF\U0000FE0F",
    "beer_mug": "\U0001F37A",
    "beetle": "\U0001FAB2",
    "bell": "\U0001F514",
    "bell_pepper": "\U0001FAD1",
    "bell_with_slash": "\U0001F515",
    "bellhop_bell": "\U0001F6CE\U0000FE0F",
    "bento_box": "\U0001F371",
    "beverage_box": "\U0001F9C3",
    "bicycle": "\U0001F6B2",
    "bikini": "\U0001F459",
    "billed_cap": "\U0001F9E2",
    "biohazard": "\U00002623\U0000FE0F",
    "bird": "\U0001F426",
    "birthday_cake": "\U0001F382",
    "bison": "\U0001F9AC",
    "black_cat": "\U0001F408\U0000200D\U00002B1B",
    "black_circle": "\U000026AB",
    "black_flag": "\U0001F3F4",
    "black_heart": "\U0001F5A4",
    "black_large_square": "\U00002B1B",
    "black_medium-small_square": "\U000025FE",
    "black_medium_square": "\U000025FC\U0000FE0F",
    "black_nib": "\U00002712\U0000FE0F",
    "black_small_square": "\U000025AA\U0000FE0F",
    "black_square_button": "\U0001F532",
    "blossom": "\U0001F33C",
    "blowfish": "\U0001F421",
    "blue_book": "\U0001F4D8",
    "blue_circle": "\U0001F535",
    "blue_heart": "\U0001F499",
    "blue_square": "\U0001F7E6",
    "blueberries": "\U0001FAD0",
    "boar": "\U0001F417",
    "bomb": "\U0001F4A3",
    "bone": "\U0001F9B4",
    "bookmark": "\U0001F516",
    "bookmark_tabs": "\U0001F4D1",
    "books": "\U0001F4DA",
    "boomerang": "\U0001FA83",
    "bottle_with_popping_cork": "\U0001F37E",
    "bouquet": "\U0001F490",
    "bow_and_arrow": "\U0001F3F9",
    "bowl_with_spoon": "\U0001F963",
    "bowling": "\U0001F3B3",
    "boxing_glove": "\U0001F94A",
    "boy": "\U0001F466",
    "brain": "\U0001F9E0",
    "bread": "\U0001F35E",
    "breast-feeding": "\U0001F931",
    "brick": "\U0001F9F1",
    "bridge_at_night": "\U0001F309",
    "briefcase": "\U0001F4BC",
    "briefs": "\U0001FA72",
    "bright_button": "\U0001F506",
    "broccoli": "\U0001F966",
    "broken_heart": "\U0001F494",
    "broom": "\U0001F9F9",
    "brown_circle": "\U0001F7E4",
    "brown_heart": "\U0001F90E",
    "brown_square": "\U0001F7EB",
    "bubble_tea": "\U0001F9CB",
    "bubbles": "\U0001FAE7",
    "bucket": "\U0001FAA3",
    "bug": "\U0001F41B",
    "building_construction": "\U0001F3D7\U0000FE0F",
    "bullet_train": "\U0001F685",
    "bullseye": "\U0001F3AF",
    "burrito": "\U0001F32F",
    "bus": "\U0001F68C",
    "bus_stop": "\U0001F68F",
    "bust_in_silhouette": "\U0001F464",
    "busts_in_silhouette": "\U0001F465",
    "butter": "\U0001F9C8",
    "butterfly": "\U0001F98B",
    "cactus": "\U0001F335",
    "calendar": "\U0001F4C5",
    "call_me_hand": "\U0001F919",
    "camel": "\U0001F42A",
    "camera": "\U0001F4F7",
    "camera_with_flash": "\U0001F4F8",
    "camping": "\U0001F3D5\U0000FE0F",
    "candle": "\U0001F56F\U0000FE0F",
    "candy": "\U0001F36C",
    "canned_food": "\U0001F96B",
    "canoe": "\U0001F6F6",
    "card_file_box": "\U0001F5C3\U0000FE0F",
    "card_index": "\U0001F4C7",
    "card_index_dividers": "\U0001F5C2\U0000FE0F",
    "carousel_horse": "\U0001F3A0",
    "carp_streamer": "\U0001F38F",
    "carpentry_saw": "\U0001FA9A",
    "carrot": "\U0001F955",
    "castle": "\U0001F3F0",
    "cat": "\U0001F408",
    "cat_face": "\U0001F431",
    "cat_with_tears_of_joy": "\U0001F639",
    "cat_with_wry_smile": "\U0001F63C",
    "chains": "\U000026D3\U0000FE0F",
    "chair": "\U0001FA91",
    "chart_decreasing": "\U0001F4C9",
    "chart_increasing": "\U0001F4C8",
    "chart_increasing_with_yen": "\U0001F4B9",
    "check_box_with_check": "\U00002611\U0000FE0F",
    "check_mark": "\U00002714\U0000FE0F",
    "check_mark_button": "\U00002705",
    "cheese_wedge": "\U0001F9C0",
    "chequered_flag": "\U0001F3C1",
    "cherries": "\U0001F352",
    "cherry_blossom": "\U0001F338",
    "chess_pawn": "\U0000265F\U0000FE0F",
    "chestnut": "\U0001F330",
    "chicken": "\U0001F414",
    "child": "\U0001F9D2",
    "children_crossing": "\U0001F6B8",
    "chipmunk": "\U0001F43F\U0000FE0F",
    "chocolate_bar": "\U0001F36B",
    "chopsticks": "\U0001F962",
    "church": "\U000026EA",
    "cigarette": "\U0001F6AC",
    "cinema": "\U0001F3A6",
    "circled_M": "\U000024C2\U0000FE0F",
    "circus_tent": "\U0001F3AA",
    "cityscape": "\U0001F3D9\U0000FE0F",
    "cityscape_at_dusk": "\U0001F306",
    "clamp": "\U0001F5DC\U0000FE0F",
    "clapper_board": "\U0001F3AC",
    "clapping_hands": "\U0001F44F",
    "classical_building": "\U0001F3DB\U0000FE0F",
    "clinking_beer_mugs": "\U0001F37B",
    "clinking_glasses": "\U0001F942",
    "clipboard": "\U0001F4CB",
    "clockwise_vertical_arrows": "\U0001F503",
    "closed_book": "\U0001F4D5",
    "closed_mailbox_with_lowered_flag": "\U0001F4EA",
    "closed_mailbox_with_raised_flag": "\U0001F4EB",
    "closed_umbrella": "\U0001F302",
    "cloud": "\U00002601\U0000FE0F",
    "cloud_with_lightning": "\U0001F329\U0000FE0F",
    "cloud_with_lightning_and_rain": "\U000026C8\U0000FE0F",
    "cloud_with_rain": "\U0001F327\U0000FE0F",
    "cloud_with_snow": "\U0001F328\U0000FE0F",
    "clown_face": "\U0001F921",
    "club_suit": "\U00002663\U0000FE0F",
    "clutch_bag": "\U0001F45D",
    "coat": "\U0001F9E5",
    "cockroach": "\U0001FAB3",
    "cocktail_glass": "\U0001F378",
    "coconut": "\U0001F965",
    "coffin": "\U000026B0\U0000FE0F",
    "coin": "\U0001FA99",
    "cold_face": "\U0001F976",
    "collision": "\U0001F4A5",
    "comet": "\U00002604\U0000FE0F",
    "compass": "\U0001F9ED",
    "computer_disk": "\U0001F4BD",
    "computer_mouse": "\U0001F5B1\U0000FE0F",
    "confetti_ball": "\U0001F38A",
    "confounded_face": "\U0001F616",
    "confused_face": "\U0001F615",
    "construction": "\U0001F6A7",
    "construction_worker": "\U0001F477",
    "control_knobs": "\U0001F39B\U0000FE0F",
    "convenience_store": "\U0001F3EA",
    "cook": "\U0001F9D1\U0000200D\U0001F373",
    "cooked_rice": "\U0001F35A",
    "cookie": "\U0001F36A",
    "cooking": "\U0001F373",
    "copyright": "\U000000A9\U0000FE0F",
    "couch_and_lamp": "\U0001F6CB\U0000FE0F",
    "counterclockwise_arrows_button": "\U0001F504",
    "couple_with_heart": "\U0001F491",
    "couple_with_heart_man_man": "\U0001F468\U0000200D\U00002764\U0000FE0F\U0000200D\U0001F468",
    "couple_with_heart_woman_man": "\U0001F469\U0000200D\U00002764\U0000FE0F\U0000200D\U0001F468",
    "couple_with_heart_woman_woman": "\U0001F469\U0000200D\U00002764\U0000FE0F\U0000200D\U0001F469",
    "cow": "\U0001F404",
    "cow_face": "\U0001F42E",
    "cowboy_hat_face": "\U0001F920",
    "crab": "\U0001F980",
    "crayon": "\U0001F58D\U0000FE0F",
    "credit_card": "\U0001F4B3",
    "crescent_moon": "\U0001F319",
    "cricket": "\U0001F997",
    "cricket_game": "\U0001F3CF",
    "crocodile": "\U0001F40A",
    "croissant": "\U0001F950",
    "cross_mark": "\U0000274C",
    "cross_mark_button": "\U0000274E",
    "crossed_fingers": "\U0001F91E",
    "crossed_flags": "\U0001F38C",
    "crossed_swords": "\U00002694\U0000FE0F",
    "crown": "\U0001F451",
    "crying_cat": "\U0001F63F",
    "crying_face": "\U0001F622",
    "crystal_ball": "\U0001F52E",
    "cucumber": "\U0001F952",
    "cup_with_straw": "\U0001F964",
    "cupcake": "\U0001F9C1",
    "curling_stone": "\U0001F94C",
    "curly_loop": "\U000027B0",
    "currency_exchange": "\U0001F4B1",
    "curry_rice": "\U0001F35B",
    "custard": "\U0001F36E",
    "customs": "\U0001F6C3",
    "cut_of_meat": "\U0001F969",
    "cyclone": "\U0001F300",
    "dagger": "\U0001F5E1\U0000FE0F",
    "dango": "\U0001F361",
    "dashing_away": "\U0001F4A8",
    "deaf_man": "\U0001F9CF\U0000200D\U00002642\U0000FE0F",
    "deaf_person": "\U0001F9CF",
    "deaf_woman": "\U0001F9CF\U0000200D\U00002640\U0000FE0F",
    "deciduous_tree": "\U0001F333",
    "deer": "\U0001F98C",
    "delivery_truck": "\U0001F69A",
    "department_store": "\U0001F3EC",
    "derelict_house": "\U0001F3DA\U0000FE0F",
    "desert": "\U0001F3DC\U0000FE0F",
    "desert_island": "\U0001F3DD\U0000FE0F",
    "desktop_computer": "\U0001F5A5\U0000FE0F",
    "detective": "\U0001F575\U0000FE0F",
    "diamond_suit": "\U00002666\U0000FE0F",
    "diamond_with_a_dot": "\U0001F4A0",
    "dim_button": "\U0001F505",
    "disappointed_face": "\U0001F61E",
    "disguised_face": "\U0001F978",
    "divide": "\U00002797",
    "diving_mask": "\U0001F93F",
    "diya_lamp": "\U0001FA94",
    "dizzy": "\U0001F4AB",
    "dna": "\U0001F9EC",
    "dodo": "\U0001F9A4",
    "dog": "\U0001F415",
    "dog_face": "\U0001F436",
    "dollar_banknote": "\U0001F4B5",
    "dolphin": "\U0001F42C",
    "door": "\U0001F6AA",
    "dotted_six-pointed_star": "\U0001F52F",
    "double_curly_loop": "\U000027BF",
    "double_exclamation_mark": "\U0000203C\U0000FE0F",
    "doughnut": "\U0001F369",
    "dove": "\U0001F54A\U0000FE0F",
    "down-left_arrow": "\U00002199\U0000FE0F",
    "down-right_arrow": "\U00002198\U0000FE0F",
    "down_arrow": "\U00002B07\U0000FE0F",
    "downcast_face_with_sweat": "\U0001F613",
    "downwards_button": "\U0001F53D",
    "dragon": "\U0001F409",
    "dragon_face": "\U0001F432",
    "dress": "\U0001F457",
    "drooling_face": "\U0001F924",
    "drop_of_blood": "\U0001FA78",
    "droplet": "\U0001F4A7",
    "drum": "\U0001F941",
    "duck": "\U0001F986",
    "dumpling": "\U0001F95F",
    "dvd": "\U0001F4C0",
    "e-mail": "\U0001F4E7",
    "eagle": "\U0001F985",
    "ear": "\U0001F442",
    "ear_of_corn": "\U0001F33D",
    "ear_with_hearing_aid": "\U0001F9BB",
    "egg": "\U0001F95A",
    "eggplant": "\U0001F346",
    "eight-pointed_star": "\U00002734\U0000FE0F",
    "eight-spoked_asterisk": "\U00002733\U0000FE0F",
    "eight-thirty": "\U0001F563",
    "eight_o’clock": "\U0001F557",
    "eject_button": "\U000023CF\U0000FE0F",
    "electric_plug": "\U0001F50C",
    "elephant": "\U0001F418",
    "elevator": "\U0001F6D7",
    "eleven-thirty": "\U0001F566",
    "eleven_o’clock": "\U0001F55A",
    "elf": "\U0001F9DD",
    "empty_nest": "\U0001FAB9",
    "envelope": "\U00002709\U0000FE0F",
    "envelope_with_arrow": "\U0001F4E9",
    "euro_banknote": "\U0001F4B6",
    "evergreen_tree": "\U0001F332",
    "ewe": "\U0001F411",
    "exclamation_question_mark": "\U00002049\U0000FE0F",
    "exploding_head": "\U0001F92F",
    "expressionless_face": "\U0001F611",
    "eye": "\U0001F441\U0000FE0F",
    "eye_in_speech_bubble": "\U0001F441\U0000FE0F\U0000200D\U0001F5E8\U0000FE0F",
    "eyes": "\U0001F440",
    "face_blowing_a_kiss": "\U0001F618",
    "face_exhaling": "\U0001F62E\U0000200D\U0001F4A8",
    "face_in_clouds": "\U0001F636\U0000200D\U0001F32B\U0000FE0F",
    "face_savoring_food": "\U0001F60B",
    "face_screaming_in_fear": "\U0001F631",
    "face_vomiting": "\U0001F92E",
    "face_with_crossed-out_eyes": "\U0001F635",
    "face_with_hand_over_mouth": "\U0001F92D",
    "face_with_head-bandage": "\U0001F915",
    "face_with_medical_mask": "\U0001F637",
    "face_with_monocle": "\U0001F9D0",
    "face_with_open_mouth": "\U0001F62E",
    "face_with_raised_eyebrow": "\U0001F928",
    "face_with_rolling_eyes": "\U0001F644",
    "face_with_spiral_eyes": "\U0001F635\U0000200D\U0001F4AB",
    "face_with_steam_from_nose": "\U0001F624",
    "face_with_symbols_on_mouth": "\U0001F92C",
    "face_with_tears_of_joy": "\U0001F602",
    "face_with_thermometer": "\U0001F912",
    "face_with_tongue": "\U0001F61B",
    "face_without_mouth": "\U0001F636",
    "factory": "\U0001F3ED",
    "factory_worker": "\U0001F9D1\U0000200D\U0001F3ED",
    "fairy": "\U0001F9DA",
    "falafel": "\U0001F9C6",
    "fallen_leaf": "\U0001F342",
    "family": "\U0001F46A",
    "family_man_boy": "\U0001F468\U0000200D\U0001F466",
    "family_man_boy_boy": "\U0001F468\U0000200D\U0001F466\U0000200D\U0001F466",
    "family_man_girl": "\U0001F468\U0000200D\U0001F467",
    "family_man_girl_boy": "\U0001F468\U0000200D\U0001F467\U0000200D\U0001F466",
    "family_man_girl_girl": "\U0001F468\U0000200D\U0001F467\U0000200D\U0001F467",
    "family_man_man_boy": "\U0001F468\U0000200D\U0001F468\U0000200D\U0001F466",
    "family_man_man_boy_boy": "\U0001F468\U0000200D\U0001F468\U0000200D\U0001F466\U0000200D\U0001F466",
    "family_man_man_girl": "\U0001F468\U0000200D\U0001F468\U0000200D\U0001F467",
    "family_man_man_girl_boy": "\U0001F468\U0000200D\U0001F468\U0000200D\U0001F467\U0000200D\U0001F466",
    "family_man_man_girl_girl": "\U0001F468\U0000200D\U0001F468\U0000200D\U0001F467\U0000200D\U0001F467",
    "family_man_woman_boy": "\U0001F468\U0000200D\U0001F469\U0000200D\U0001F466",
    "family_man_woman_boy_boy": "\U0001F468\U0000200D\U0001F469\U0000200D\U0001F466\U0000200D\U0001F466",
    "family_man_woman_girl": "\U0001F468\U0000200D\U0001F469\U0000200D\U0001F467",
    "family_man_woman_girl_boy": "\U0001F468\U0000200D\U0001F469\U0000200D\U0001F467\U0000200D\U0001F466",
    "family_man_woman_girl_girl": "\U0001F468\U0000200D\U0001F469\U0000200D\U0001F467\U0000200D\U0001F467",
    "family_woman_boy": "\U0001F469\U0000200D\U0001F466",
    "family_woman_boy_boy": "\U0001F469\U0000200D\U0001F466\U0000200D\U0001F466",
    "family_woman_girl": "\U0001F469\U0000200D\U0001F467",
    "family_woman_girl_boy": "\U0001F469\U0000200D\U0001F467\U0000200D\U0001F466",
    "family_woman_girl_girl": "\U0001F469\U0000200D\U0001F467\U0000200D\U0001F467",
    "family_woman_woman_boy": "\U0001F469\U0000200D\U0001F469\U0000200D\U0001F466",
    "family_woman_woman_boy_boy": "\U0001F469\U0000200D\U0001F469\U0000200D\U0001F466\U0000200D\U0001F466",
    "family_woman_woman_girl": "\U0001F469\U0000200D\U0001F469\U0000200D\U0001F467",
    "family_woman_woman_girl_boy": "\U0001F469\U0000200D\U0001F469\U0000200D\U0001F467\U0000200D\U0001F466",
    "family_woman_woman_girl_girl": "\U0001F469\U0000200D\U0001F469\U0000200D\U0001F467\U0000200D\U0001F467",
    "farmer": "\U0001F9D1\U0000200D\U0001F33E",
    "fast-forward_button": "\U000023E9",
    "fast_down_button": "\U000023EC",
    "fast_reverse_button": "\U000023EA",
    "fast_up_button": "\U000023EB",
    "fax_machine": "\U0001F4E0",
    "fearful_face": "\U0001F628",
    "feather": "\U0001FAB6",
    "female_sign": "\U00002640\U0000FE0F",
    "ferris_wheel": "\U0001F3A1",
    "ferry": "\U000026F4\U0000FE0F",
    "field_hockey": "\U0001F3D1",
    "file_cabinet": "\U0001F5C4\U0000FE0F",
    "file_folder": "\U0001F4C1",
    "film_frames": "\U0001F39E\U0000FE0F",
    "film_projector": "\U0001F4FD\U0000FE0F",
    "fire": "\U0001F525",
    "fire_engine": "\U0001F692",
    "fire_extinguisher": "\U0001F9EF",
    "firecracker": "\U0001F9E8",
    "firefighter": "\U0001F9D1\U0000200D\U0001F692",
    "fireworks": "\U0001F386",
    "first_quarter_moon": "\U0001F313",
    "first_quarter_moon_face": "\U0001F31B",
    "fish": "\U0001F41F",
    "fish_cake_with_swirl": "\U0001F365",
    "fishing_pole": "\U0001F3A3",
    "five-thirty": "\U0001F560",
    "five_o’clock": "\U0001F554",
    "flag_in_hole": "\U000026F3",
    "flamingo": "\U0001F9A9",
    "flashlight": "\U0001F526",
    "flat_shoe": "\U0001F97F",
    "flatbread": "\U0001FAD3",
    "fleur-de-lis": "\U0000269C\U0000FE0F",
    "flexed_biceps": "\U0001F4AA",
    "floppy_disk": "\U0001F4BE",
    "flower_playing_cards": "\U0001F3B4",
    "flushed_face": "\U0001F633",
    "fly": "\U0001FAB0",
    "flying_disc": "\U0001F94F",
    "flying_saucer": "\U0001F6F8",
    "fog": "\U0001F32B\U0000FE0F",
    "foggy": "\U0001F301",
    "folded_hands": "\U0001F64F",
    "fondue": "\U0001FAD5",
    "foot": "\U0001F9B6",
    "footprints": "\U0001F463",
    "fork_and_knife": "\U0001F374",
    "fork_and_knife_with_plate": "\U0001F37D\U0000FE0F",
    "fortune_cookie": "\U0001F960",
    "fountain": "\U000026F2",
    "fountain_pen": "\U0001F58B\U0000FE0F",
    "four-thirty": "\U0001F55F",
    "four_leaf_clover": "\U0001F340",
    "four_o’clock": "\U0001F553",
    "fox": "\U0001F98A",
    "framed_picture": "\U0001F5BC\U0000FE0F",
    "french_fries": "\U0001F35F",
    "fried_shrimp": "\U0001F364",
    "frog": "\U0001F438",
    "front-facing_baby_chick": "\U0001F425",
    "frowning_face": "\U00002639\U0000FE0F",
    "frowning_face_with_open_mouth": "\U0001F626",
    "fuel_pump": "\U000026FD",
    "full_moon": "\U0001F315",
    "full_moon_face": "\U0001F31D",
    "funeral_urn": "\U000026B1\U0000FE0F",
    "game_die": "\U0001F3B2",
    "garlic": "\U0001F9C4",
    "gear": "\U00002699\U0000FE0F",
    "gem_stone": "\U0001F48E",
    "genie": "\U0001F9DE",
    "ghost": "\U0001F47B",
    "giraffe": "\U0001F992",
    "girl": "\U0001F467",
    "glass_of_milk": "\U0001F95B",
    "glasses": "\U0001F453",
    "globe_showing_Americas": "\U0001F30E",
    "globe_showing_Asia-Australia": "\U0001F30F",
    "globe_showing_Europe-Africa": "\U0001F30D",
    "globe_with_meridians": "\U0001F310",
    "gloves": "\U0001F9E4",
    "glowing_star": "\U0001F31F",
    "goal_net": "\U0001F945",
    "goat": "\U0001F410",
    "goblin": "\U0001F47A",
    "goggles": "\U0001F97D",
    "gorilla": "\U0001F98D",
    "graduation_cap": "\U0001F393",
    "grapes": "\U0001F347",
    "green_apple": "\U0001F34F",
    "green_book": "\U0001F4D7",
    "green_circle": "\U0001F7E2",
    "green_heart": "\U0001F49A",
    "green_salad": "\U0001F957",
    "green_square": "\U0001F7E9",
    "grimacing_face": "\U0001F62C",
    "grinning_cat": "\U0001F63A",
    "grinning_cat_with_smiling_eyes": "\U0001F638",
    "grinning_face": "\U0001F600",
    "grinning_face_with_big_eyes": "\U0001F603",
    "grinning_face_with_smiling_eyes": "\U0001F604",
    "grinning_face_with_sweat": "\U0001F605",
    "grinning_squinting_face": "\U0001F606",
    "growing_heart": "\U0001F497",
    "guard": "\U0001F482",
    "guide_dog": "\U0001F9AE",
    "guitar": "\U0001F3B8",
    "hamburger": "\U0001F354",
    "hammer": "\U0001F528",
    "hammer_and_pick": "\U00002692\U0000FE0F",
    "hammer_and_wrench": "\U0001F6E0\U0000FE0F",
    "hamster": "\U0001F439",
    "hand_with_fingers_splayed": "\U0001F590\U0000FE0F",
    "handbag": "\U0001F45C",
    "handshake": "\U0001F91D",
    "hatching_chick": "\U0001F423",
    "headphone": "\U0001F3A7",
    "headstone": "\U0001FAA6",
    "health_worker": "\U0001F9D1\U0000200D\U00002695\U0000FE0F",
    "hear-no-evil_monkey": "\U0001F649",
    "heart_decoration": "\U0001F49F",
    "heart_exclamation": "\U00002763\U0000FE0F",
    "heart_on_fire": "\U00002764\U0000FE0F\U0000200D\U0001F525",
    "heart_suit": "\U00002665\U0000FE0F",
    "heart_with_arrow": "\U0001F498",
    "heart_with_ribbon": "\U0001F49D",
    "heavy_dollar_sign": "\U0001F4B2",
    "hedgehog": "\U0001F994",
    "helicopter": "\U0001F681",
    "herb": "\U0001F33F",
    "hibiscus": "\U0001F33A",
    "high-heeled_shoe": "\U0001F460",
    "high-speed_train": "\U0001F684",
    "high_voltage": "\U000026A1",
    "hiking_boot": "\U0001F97E",
    "hindu_temple": "\U0001F6D5",
    "hippopotamus": "\U0001F99B",
    "hole": "\U0001F573\U0000FE0F",
    "hollow_red_circle": "\U00002B55",
    "honey_pot": "\U0001F36F",
    "honeybee": "\U0001F41D",
    "hook": "\U0001FA9D",
    "horizontal_traffic_light": "\U0001F6A5",
    "horse": "\U0001F40E",
    "horse_face": "\U0001F434",
    "horse_racing": "\U0001F3C7",
    "hospital": "\U0001F3E5",
    "hot_beverage": "\U00002615",
    "hot_dog": "\U0001F32D",
    "hot_face": "\U0001F975",
    "hot_pepper": "\U0001F336\U0000FE0F",
    "hot_springs": "\U00002668\U0000FE0F",
    "hotel": "\U0001F3E8",
    "hourglass_done": "\U0000231B",
    "hourglass_not_done": "\U000023F3",
    "house": "\U0001F3E0",
    "house_with_garden": "\U0001F3E1",
    "houses": "\U0001F3D8\U0000FE0F",
    "hundred_points": "\U0001F4AF",
    "hushed_face": "\U0001F62F",
    "hut": "\U0001F6D6",
    "ice": "\U0001F9CA",
    "ice_cream": "\U0001F368",
    "ice_hockey": "\U0001F3D2",
    "ice_skate": "\U000026F8\U0000FE0F",
    "inbox_tray": "\U0001F4E5",
    "incoming_envelope": "\U0001F4E8",
    "index_pointing_up": "\U0000261D\U0000FE0F",
    "infinity": "\U0000267E\U0000FE0F",
    "information": "\U00002139\U0000FE0F",
    "input_latin_letters": "\U0001F524",
    "input_latin_lowercase": "\U0001F521",
    "input_latin_uppercase": "\U0001F520",
    "input_numbers": "\U0001F522",
    "input_symbols": "\U0001F523",
    "jack-o-lantern": "\U0001F383",
    "jeans": "\U0001F456",
    "joker": "\U0001F0CF",
    "joystick": "\U0001F579\U0000FE0F",
    "judge": "\U0001F9D1\U0000200D\U00002696\U0000FE0F",
    "kaaba": "\U0001F54B",
    "kangaroo": "\U0001F998",
    "key": "\U0001F511",
    "keyboard": "\U00002328\U0000FE0F",
    "keycap_#": "\U00000023\U0000FE0F\U000020E3",
    "keycap_*": "\U0000002A\U0000FE0F\U000020E3",
    "keycap_0": "\U00000030\U0000FE0F\U000020E3",
    "keycap_1": "\U00000031\U0000FE0F\U000020E3",
    "keycap_10": "\U0001F51F",
    "keycap_2": "\U00000032\U0000FE0F\U000020E3",
    "keycap_3": "\U00000033\U0000FE0F\U000020E3",
    "keycap_4": "\U00000034\U0000FE0F\U000020E3",
    "keycap_5": "\U00000035\U0000FE0F\U000020E3",
    "keycap_6": "\U00000036\U0000FE0F\U000020E3",
    "keycap_7": "\U00000037\U0000FE0F\U000020E3",
    "keycap_8": "\U00000038\U0000FE0F\U000020E3",
    "keycap_9": "\U00000039\U0000FE0F\U000020E3",
    "kick_scooter": "\U0001F6F4",
    "kimono": "\U0001F458",
    "kiss": "\U0001F48F",
    "kiss_man_man": "\U0001F468\U0000200D\U00002764\U0000FE0F\U0000200D\U0001F48B\U0000200D\U0001F468",
    "kiss_mark": "\U0001F48B",
    "kiss_woman_man": "\U0001F469\U0000200D\U00002764\U0000FE0F\U0000200D\U0001F48B\U0000200D\U0001F468",
    "kiss_woman_woman": "\U0001F469\U0000200D\U00002764\U0000FE0F\U0000200D\U0001F48B\U0000200D\U0001F469",
    "kissing_cat": "\U0001F63D",
    "kissing_face": "\U0001F617",
    "kissing_face_with_closed_eyes": "\U0001F61A",
    "kissing_face_with_smiling_eyes": "\U0001F619",
    "kitchen_knife": "\U0001F52A",
    "kite": "\U0001FA81",
    "kiwi_fruit": "\U0001F95D",
    "knot": "\U0001FAA2",
    "koala": "\U0001F428",
    "lab_coat": "\U0001F97C",
    "label": "\U0001F3F7\U0000FE0F",
    "lacrosse": "\U0001F94D",
    "ladder": "\U0001FA9C",
    "lady_beetle": "\U0001F41E",
    "laptop": "\U0001F4BB",
    "large_blue_diamond": "\U0001F537",
    "large_orange_diamond": "\U0001F536",
    "last_quarter_moon": "\U0001F317",
    "last_quarter_moon_face": "\U0001F31C",
    "last_track_button": "\U000023EE\U0000FE0F",
    "latin_cross": "\U0000271D\U0000FE0F",
    "leaf_fluttering_in_wind": "\U0001F343",
    "leafy_green": "\U0001F96C",
    "ledger": "\U0001F4D2",
    "left-facing_fist": "\U0001F91B",
    "left-right_arrow": "\U00002194\U0000FE0F",
    "left_arrow": "\U00002B05\U0000FE0F",
    "left_arrow_curving_right": "\U000021AA\U0000FE0F",
    "left_luggage": "\U0001F6C5",
    "left_speech_bubble": "\U0001F5E8\U0000FE0F",
    "leg": "\U0001F9B5",
    "lemon": "\U0001F34B",
    "leopard": "\U0001F406",
    "level_slider": "\U0001F39A\U0000FE0F",
    "light_bulb": "\U0001F4A1",
    "light_rail": "\U0001F688",
    "link": "\U0001F517",
    "linked_paperclips": "\U0001F587\U0000FE0F",
    "lion": "\U0001F981",
    "lipstick": "\U0001F484",
    "litter_in_bin_sign": "\U0001F6AE",
    "lizard": "\U0001F98E",
    "llama": "\U0001F999",
    "lobster": "\U0001F99E",
    "locked": "\U0001F512",
    "locked_with_key": "\U0001F510",
    "locked_with_pen": "\U0001F50F",
    "locomotive": "\U0001F682",
    "lollipop": "\U0001F36D",
    "long_drum": "\U0001FA98",
    "lotion_bottle": "\U0001F9F4",
    "lotus": "\U0001FAB7",
    "loudly_crying_face": "\U0001F62D",
    "loudspeaker": "\U0001F4E2",
    "love-you_gesture": "\U0001F91F",
    "love_hotel": "\U0001F3E9",
    "love_letter": "\U0001F48C",
    "luggage": "\U0001F9F3",
    "lungs": "\U0001FAC1",
    "lying_face": "\U0001F925",
    "mage": "\U0001F9D9",
    "magic_wand": "\U0001FA84",
    "magnet": "\U0001F9F2",
    "magnifying_glass_tilted_left": "\U0001F50D",
    "magnifying_glass_tilted_right": "\U0001F50E",
    "mahjong_red_dragon": "\U0001F004",
    "male_sign": "\U00002642\U0000FE0F",
    "mammoth": "\U0001F9A3",
    "man": "\U0001F468",
    "man_artist": "\U0001F468\U0000200D\U0001F3A8",
    "man_astronaut": "\U0001F468\U0000200D\U0001F680",
    "man_bald": "\U0001F468\U0000200D\U0001F9B2",
    "man_beard": "\U0001F9D4\U0000200D\U00002642\U0000FE0F",
    "man_biking": "\U0001F6B4\U0000200D\U00002642\U0000FE0F",
    "man_blond_hair": "\U0001F471\U0000200D\U00002642\U0000FE0F",
    "man_bouncing_ball": "\U000026F9\U0000FE0F\U0000200D\U00002642\U0000FE0F",
    "man_bowing": "\U0001F647\U0000200D\U00002642\U0000FE0F",
    "man_cartwheeling": "\U0001F938\U0000200D\U00002642\U0000FE0F",
    "man_climbing": "\U0001F9D7\U0000200D\U00002642\U0000FE0F",
    "man_construction_worker": "\U0001F477\U0000200D\U00002642\U0000FE0F",
    "man_cook": "\U0001F468\U0000200D\U0001F373",
    "man_curly_hair": "\U0001F468\U0000200D\U0001F9B1",
    "man_dancing": "\U0001F57A",
    "man_detective": "\U0001F575\U0000FE0F\U0000200D\U00002642\U0000FE0F",
    "man_elf": "\U0001F9DD\U0000200D\U00002642\U0000FE0F",
    "man_facepalming": "\U0001F926\U0000200D\U00002642\U0000FE0F",
    "man_factory_worker": "\U0001F468\U0000200D\U0001F3ED",
    "man_fairy": "\U0001F9DA\U0000200D\U00002642\U0000FE0F",
    "man_farmer": "\U0001F468\U0000200D\U0001F33E",
    "man_feeding_baby": "\U0001F468\U0000200D\U0001F37C",
    "man_firefighter": "\U0001F468\U0000200D\U0001F692",
    "man_frowning": "\U0001F64D\U0000200D\U00002642\U0000FE0F",
    "man_genie": "\U0001F9DE\U0000200D\U00002642\U0000FE0F",
    "man_gesturing_NO": "\U0001F645\U0000200D\U00002642\U0000FE0F",
    "man_gesturing_OK": "\U0001F646\U0000200D\U00002642\U0000FE0F",
    "man_getting_haircut": "\U0001F487\U0000200D\U00002642\U0000FE0F",
    "man_getting_massage": "\U0001F486\U0000200D\U00002642\U0000FE0F",
    "man_golfing": "\U0001F3CC\U0000FE0F\U0000200D\U00002642\U0000FE0F",
    "man_guard": "\U0001F482\U0000200D\U00002642\U0000FE0F",
    "man_health_worker": "\U0001F468\U0000200D\U00002695\U0000FE0F",
    "man_in_lotus_position": "\U0001F9D8\U0000200D\U00002642\U0000FE0F",
    "man_in_manual_wheelchair": "\U0001F468\U0000200D\U0001F9BD",
    "man_in_motorized_wheelchair": "\U0001F468\U0000200D\U0001F9BC",
    "man_in_steamy_room": "\U0001F9D6\U0000200D\U00002642\U0000FE0F",
    "man_in_tuxedo": "\U0001F935\U0000200D\U00002642\U0000FE0F",
    "man_judge": "\U0001F468\U0000200D\U00002696\U0000FE0F",
    "man_juggling": "\U0001F939\U0000200D\U00002642\U0000FE0F",
    "man_kneeling": "\U0001F9CE\U0000200D\U00002642\U0000FE0F",
    "man_lifting_weights": "\U0001F3CB\U0000FE0F\U0000200D\U00002642\U0000FE0F",
    "man_mage": "\U0001F9D9\U0000200D\U00002642\U0000FE0F",
    "man_mechanic": "\U0001F468\U0000200D\U0001F527",
    "man_mountain_biking": "\U0001F6B5\U0000200D\U00002642\U0000FE0F",
    "man_office_worker": "\U0001F468\U0000200D\U0001F4BC",
    "man_pilot": "\U0001F468\U0000200D\U00002708\U0000FE0F",
    "man_playing_handball": "\U0001F93E\U0000200D\U00002642\U0000FE0F",
    "man_playing_water_polo": "\U0001F93D\U0000200D\U00002642\U0000FE0F",
    "man_police_officer": "\U0001F46E\U0000200D\U00002642\U0000FE0F",
    "man_pouting": "\U0001F64E\U0000200D\U00002642\U0000FE0F",
    "man_raising_hand": "\U0001F64B\U0000200D\U00002642\U0000FE0F",
    "man_red_hair": "\U0001F468\U0000200D\U0001F9B0",
    "man_rowing_boat": "\U0001F6A3\U0000200D\U00002642\U0000FE0F",
    "man_running": "\U0001F3C3\U0000200D\U00002642\U0000FE0F",
    "man_scientist": "\U0001F468\U0000200D\U0001F52C",
    "man_shrugging": "\U0001F937\U0000200D\U00002642\U0000FE0F",
    "man_singer": "\U0001F468\U0000200D\U0001F3A4",
    "man_standing": "\U0001F9CD\U0000200D\U00002642\U0000FE0F",
    "man_student": "\U0001F468\U0000200D\U0001F393",
    "man_superhero": "\U0001F9B8\U0000200D\U00002642\U0000FE0F",
    "man_supervillain": "\U0001F9B9\U0000200D\U00002642\U0000FE0F",
    "man_surfing": "\U0001F3C4\U0000200D\U00002642\U0000FE0F",
    "man_swimming": "\U0001F3CA\U0000200D\U00002642\U0000FE0F",
    "man_teacher": "\U0001F468\U0000200D\U0001F3EB",
    "man_technologist": "\U0001F468\U0000200D\U0001F4BB",
    "man_tipping_hand": "\U0001F481\U0000200D\U00002642\U0000FE0F",
    "man_vampire": "\U0001F9DB\U0000200D\U00002642\U0000FE0F",
    "man_walking": "\U0001F6B6\U0000200D\U00002642\U0000FE0F",
    "man_wearing_turban": "\U0001F473\U0000200D\U00002642\U0000FE0F",
    "man_white_hair": "\U0001F468\U0000200D\U0001F9B3",
    "man_with_veil": "\U0001F470\U0000200D\U00002642\U0000FE0F",
    "man_with_white_cane": "\U0001F468\U0000200D\U0001F9AF",
    "man_zombie": "\U0001F9DF\U0000200D\U00002642\U0000FE0F",
    "mango": "\U0001F96D",
    "mantelpiece_clock": "\U0001F570\U0000FE0F",
    "manual_wheelchair": "\U0001F9BD",
    "man’s_shoe": "\U0001F45E",
    "map_of_Japan": "\U0001F5FE",
    "maple_leaf": "\U0001F341",
    "martial_arts_uniform": "\U0001F94B",
    "mate": "\U0001F9C9",
    "meat_on_bone": "\U0001F356",
    "mechanic": "\U0001F9D1\U0000200D\U0001F527",
    "mechanical_arm": "\U0001F9BE",
    "mechanical_leg": "\U0001F9BF",
    "medical_symbol": "\U00002695\U0000FE0F",
    "megaphone": "\U0001F4E3",
    "melon": "\U0001F348",
    "memo": "\U0001F4DD",
    "men_holding_hands": "\U0001F46C",
    "men_with_bunny_ears": "\U0001F46F\U0000200D\U00002642\U0000FE0F",
    "men_wrestling": "\U0001F93C\U0000200D\U00002642\U0000FE0F",
    "mending_heart": "\U00002764\U0000FE0F\U0000200D\U0001FA79",
    "menorah": "\U0001F54E",
    "men’s_room": "\U0001F6B9",
    "mermaid": "\U0001F9DC\U0000200D\U00002640\U0000FE0F",
    "merman": "\U0001F9DC\U0000200D\U00002642\U0000FE0F",
    "merperson": "\U0001F9DC",
    "metro": "\U0001F687",
    "microbe": "\U0001F9A0",
    "microphone": "\U0001F3A4",
    "microscope": "\U0001F52C",
    "middle_finger": "\U0001F595",
    "military_helmet": "\U0001FA96",
    "military_medal": "\U0001F396\U0000FE0F",
    "milky_way": "\U0001F30C",
    "minibus": "\U0001F690",
    "minus": "\U00002796",
    "mirror": "\U0001FA9E",
    "moai": "\U0001F5FF",
    "mobile_phone": "\U0001F4F1",
    "mobile_phone_off": "\U0001F4F4",
    "mobile_phone_with_arrow": "\U0001F4F2",
    "money-mouth_face": "\U0001F911",
    "money_bag": "\U0001F4B0",
    "money_with_wings": "\U0001F4B8",
    "monkey": "\U0001F412",
    "monkey_face": "\U0001F435",
    "monorail": "\U0001F69D",
    "moon_cake": "\U0001F96E",
    "moon_viewing_ceremony": "\U0001F391",
    "mosque": "\U0001F54C",
    "mosquito": "\U0001F99F",
    "motor_boat": "\U0001F6E5\U0000FE0F",
    "motor_scooter": "\U0001F6F5",
    "motorcycle": "\U0001F3CD\U0000FE0F",
    "motorized_wheelchair": "\U0001F9BC",
    "motorway": "\U0001F6E3\U0000FE0F",
    "mount_fuji": "\U0001F5FB",
    "mountain": "\U000026F0\U0000FE0F",
    "mountain_cableway": "\U0001F6A0",
    "mountain_railway": "\U0001F69E",
    "mouse": "\U0001F401",
    "mouse_face": "\U0001F42D",
    "mouse_trap": "\U0001FAA4",
    "mouth": "\U0001F444",
    "movie_camera": "\U0001F3A5",
    "multiply": "\U00002716\U0000FE0F",
    "mushroom": "\U0001F344",
    "musical_keyboard": "\U0001F3B9",
    "musical_note": "\U0001F3B5",
    "musical_notes": "\U0001F3B6",
    "musical_score": "\U0001F3BC",
    "muted_speaker": "\U0001F507",
    "mx_claus": "\U0001F9D1\U0000200D\U0001F384",
    "nail_polish": "\U0001F485",
    "name_badge": "\U0001F4DB",
    "national_park": "\U0001F3DE\U0000FE0F",
    "nauseated_face": "\U0001F922",
    "nazar_amulet": "\U0001F9FF",
    "necktie": "\U0001F454",
    "nerd_face": "\U0001F913",
    "nesting_dolls": "\U0001FA86",
    "neutral_face": "\U0001F610",
    "new_moon": "\U0001F311",
    "new_moon_face": "\U0001F31A",
    "newspaper": "\U0001F4F0",
    "next_track_button": "\U000023ED\U0000FE0F",
    "night_with_stars": "\U0001F303",
    "nine-thirty": "\U0001F564",
    "nine_o’clock": "\U0001F558",
    "ninja": "\U0001F977",
    "no_bicycles": "\U0001F6B3",
    "no_entry": "\U000026D4",
    "no_littering": "\U0001F6AF",
    "no_mobile_phones": "\U0001F4F5",
    "no_one_under_eighteen": "\U0001F51E",
    "no_pedestrians": "\U0001F6B7",
    "no_smoking": "\U0001F6AD",
    "non-potable_water": "\U0001F6B1",
    "nose": "\U0001F443",
    "notebook": "\U0001F4D3",
    "notebook_with_decorative_cover": "\U0001F4D4",
    "nut_and_bolt": "\U0001F529",
    "octopus": "\U0001F419",
    "oden": "\U0001F362",
    "office_building": "\U0001F3E2",
    "office_worker": "\U0001F9D1\U0000200D\U0001F4BC",
    "ogre": "\U0001F479",
    "oil_drum": "\U0001F6E2\U0000FE0F",
    "old_key": "\U0001F5DD\U0000FE0F",
    "old_man": "\U0001F474",
    "old_woman": "\U0001F475",
    "older_person": "\U0001F9D3",
    "olive": "\U0001FAD2",
    "om": "\U0001F549\U0000FE0F",
    "oncoming_automobile": "\U0001F698",
    "oncoming_bus": "\U0001F68D",
    "oncoming_fist": "\U0001F44A",
    "oncoming_police_car": "\U0001F694",
    "oncoming_taxi": "\U0001F696",
    "one-piece_swimsuit": "\U0001FA71",
    "one-thirty": "\U0001F55C",
    "one_o’clock": "\U0001F550",
    "onion": "\U0001F9C5",
    "open_book": "\U0001F4D6",
    "open_file_folder": "\U0001F4C2",
    "open_hands": "\U0001F450",
    "open_mailbox_with_lowered_flag": "\U0001F4ED",
    "open_mailbox_with_raised_flag": "\U0001F4EC",
    "optical_disk": "\U0001F4BF",
    "orange_book": "\U0001F4D9",
    "orange_circle": "\U0001F7E0",
    "orange_heart": "\U0001F9E1",
    "orange_square": "\U0001F7E7",
    "orangutan": "\U0001F9A7",
    "orthodox_cross": "\U00002626\U0000FE0F",
    "otter": "\U0001F9A6",
    "outbox_tray": "\U0001F4E4",
    "owl": "\U0001F989",
    "ox": "\U0001F402",
    "oyster": "\U0001F9AA",
    "package": "\U0001F4E6",
    "page_facing_up": "\U0001F4C4",
    "page_with_curl": "\U0001F4C3",
    "pager": "\U0001F4DF",
    "paintbrush": "\U0001F58C\U0000FE0F",
    "palm_tree": "\U0001F334",
    "palms_up_together": "\U0001F932",
    "pancakes": "\U0001F95E",
    "panda": "\U0001F43C",
    "paperclip": "\U0001F4CE",
    "parachute": "\U0001FA82",
    "parrot": "\U0001F99C",
    "part_alternation_mark": "\U0000303D\U0000FE0F",
    "party_popper": "\U0001F389",
    "partying_face": "\U0001F973",
    "passenger_ship": "\U0001F6F3\U0000FE0F",
    "passport_control": "\U0001F6C2",
    "pause_button": "\U000023F8\U0000FE0F",
    "paw_prints": "\U0001F43E",
    "peace_symbol": "\U0000262E\U0000FE0F",
    "peach": "\U0001F351",
    "peacock": "\U0001F99A",
    "peanuts": "\U0001F95C",
    "pear": "\U0001F350",
    "pen": "\U0001F58A\U0000FE0F",
    "pencil": "\U0000270F\U0000FE0F",
    "penguin": "\U0001F427",
    "pensive_face": "\U0001F614",
    "people_holding_hands": "\U0001F9D1\U0000200D\U0001F91D\U0000200D\U0001F9D1",
    "people_hugging": "\U0001FAC2",
    "people_with_bunny_ears": "\U0001F46F",
    "people_wrestling": "\U0001F93C",
    "performing_arts": "\U0001F3AD",
    "persevering_face": "\U0001F623",
    "person": "\U0001F9D1",
    "person_bald": "\U0001F9D1\U0000200D\U0001F9B2",
    "person_beard": "\U0001F9D4",
    "person_biking": "\U0001F6B4",
    "person_blond_hair": "\U0001F471",
    "person_bouncing_ball": "\U000026F9\U0000FE0F",
    "person_bowing": "\U0001F647",
    "person_cartwheeling": "\U0001F938",
    "person_climbing": "\U0001F9D7",
    "person_curly_hair": "\U0001F9D1\U0000200D\U0001F9B1",
    "person_facepalming": "\U0001F926",
    "person_feeding_baby": "\U0001F9D1\U0000200D\U0001F37C",
    "person_fencing": "\U0001F93A",
    "person_frowning": "\U0001F64D",
    "person_gesturing_NO": "\U0001F645",
    "person_gesturing_OK": "\U0001F646",
    "person_getting_haircut": "\U0001F487",
    "person_getting_massage": "\U0001F486",
    "person_golfing": "\U0001F3CC\U0000FE0F",
    "person_in_bed": "\U0001F6CC",
    "person_in_lotus_position": "\U0001F9D8",
    "person_in_manual_wheelchair": "\U0001F9D1\U0000200D\U0001F9BD",
    "person_in_motorized_wheelchair": "\U0001F9D1\U0000200D\U0001F9BC",
    "person_in_steamy_room": "\U0001F9D6",
    "person_in_suit_levitating": "\U0001F574\U0000FE0F",
    "person_in_tuxedo": "\U0001F935",
    "person_juggling": "\U0001F939",
    "person_kneeling": "\U0001F9CE",
    "person_lifting_weights": "\U0001F3CB\U0000FE0F",
    "person_mountain_biking": "\U0001F6B5",
    "person_playing_handball": "\U0001F93E",
    "person_playing_water_polo": "\U0001F93D",
    "person_pouting": "\U0001F64E",
    "person_raising_hand": "\U0001F64B",
    "person_red_hair": "\U0001F9D1\U0000200D\U0001F9B0",
    "person_rowing_boat": "\U0001F6A3",
    "person_running": "\U0001F3C3",
    "person_shrugging": "\U0001F937",
    "person_standing": "\U0001F9CD",
    "person_surfing": "\U0001F3C4",
    "person_swimming": "\U0001F3CA",
    "person_taking_bath": "\U0001F6C0",
    "person_tipping_hand": "\U0001F481",
    "person_walking": "\U0001F6B6",
    "person_wearing_turban": "\U0001F473",
    "person_white_hair": "\U0001F9D1\U0000200D\U0001F9B3",
    "person_with_skullcap": "\U0001F472",
    "person_with_veil": "\U0001F470",
    "person_with_white_cane": "\U0001F9D1\U0000200D\U0001F9AF",
    "petri_dish": "\U0001F9EB",
    "pick": "\U000026CF\U0000FE0F",
    "pickup_truck": "\U0001F6FB",
    "pie": "\U0001F967",
    "pig": "\U0001F416",
    "pig_face": "\U0001F437",
    "pig_nose": "\U0001F43D",
    "pile_of_poo": "\U0001F4A9",
    "pill": "\U0001F48A",
    "pilot": "\U0001F9D1\U0000200D\U00002708\U0000FE0F",
    "pinched_fingers": "\U0001F90C",
    "pinching_hand": "\U0001F90F",
    "pine_decoration": "\U0001F38D",
    "pineapple": "\U0001F34D",
    "ping_pong": "\U0001F3D3",
    "pirate_flag": "\U0001F3F4\U0000200D\U00002620\U0000FE0F",
    "pizza": "\U0001F355",
    "piñata": "\U0001FA85",
    "placard": "\U0001FAA7",
    "place_of_worship": "\U0001F6D0",
    "play_button": "\U000025B6\U0000FE0F",
    "play_or_pause_button": "\U000023EF\U0000FE0F",
    "pleading_face": "\U0001F97A",
    "plunger": "\U0001FAA0",
    "plus": "\U00002795",
    "polar_bear": "\U0001F43B\U0000200D\U00002744\U0000FE0F",
    "police_car": "\U0001F693",
    "police_car_light": "\U0001F6A8",
    "police_officer": "\U0001F46E",
    "poodle": "\U0001F429",
    "pool_8_ball": "\U0001F3B1",
    "popcorn": "\U0001F37F",
    "post_office": "\U0001F3E4",
    "postal_horn": "\U0001F4EF",
    "postbox": "\U0001F4EE",
    "pot_of_food": "\U0001F372",
    "potable_water": "\U0001F6B0",
    "potato": "\U0001F954",
    "potted_plant": "\U0001FAB4",
    "poultry_leg": "\U0001F357",
    "pound_banknote": "\U0001F4B7",
    "pouting_cat": "\U0001F63E",
    "pouting_face": "\U0001F621",
    "prayer_beads": "\U0001F4FF",
    "pregnant_woman": "\U0001F930",
    "pretzel": "\U0001F968",
    "prince": "\U0001F934",
    "princess": "\U0001F478",
    "printer": "\U0001F5A8\U0000FE0F",
    "prohibited": "\U0001F6AB",
    "purple_circle": "\U0001F7E3",
    "purple_heart": "\U0001F49C",
    "purple_square": "\U0001F7EA",
    "purse": "\U0001F45B",
    "pushpin": "\U0001F4CC",
    "puzzle_piece": "\U0001F9E9",
    "rabbit": "\U0001F407",
    "rabbit_face": "\U0001F430",
    "raccoon": "\U0001F99D",
    "racing_car": "\U0001F3CE\U0000FE0F",
    "radio": "\U0001F4FB",
    "radio_button": "\U0001F518",
    "radioactive": "\U00002622\U0000FE0F",
    "railway_car": "\U0001F683",
    "railway_track": "\U0001F6E4\U0000FE0F",
    "rainbow": "\U0001F308",
    "rainbow_flag": "\U0001F3F3\U0000FE0F\U0000200D\U0001F308",
    "raised_back_of_hand": "\U0001F91A",
    "raised_fist": "\U0000270A",
    "raised_hand": "\U0000270B",
    "raising_hands": "\U0001F64C",
    "ram": "\U0001F40F",
    "rat": "\U0001F400",
    "razor": "\U0001FA92",
    "receipt": "\U0001F9FE",
    "record_button": "\U000023FA\U0000FE0F",
    "recycling_symbol": "\U0000267B\U0000FE0F",
    "red_apple": "\U0001F34E",
    "red_circle": "\U0001F534",
    "red_envelope": "\U0001F9E7",
    "red_exclamation_mark": "\U00002757",
    "red_heart": "\U00002764\U0000FE0F",
    "red_paper_lantern": "\U0001F3EE",
    "red_question_mark": "\U00002753",
    "red_square": "\U0001F7E5",
    "red_triangle_pointed_down": "\U0001F53B",
    "red_triangle_pointed_up": "\U0001F53A",
    "registered": "\U000000AE\U0000FE0F",
    "relieved_face": "\U0001F60C",
    "reminder_ribbon": "\U0001F397\U0000FE0F",
    "repeat_button": "\U0001F501",
    "repeat_single_button": "\U0001F502",
    "rescue_worker’s_helmet": "\U000026D1\U0000FE0F",
    "restroom": "\U0001F6BB",
    "reverse_button": "\U000025C0\U0000FE0F",
    "revolving_hearts": "\U0001F49E",
    "rhinoceros": "\U0001F98F",
    "ribbon": "\U0001F380",
    "rice_ball": "\U0001F359",
    "rice_cracker": "\U0001F358",
    "right-facing_fist": "\U0001F91C",
    "right_anger_bubble": "\U0001F5EF\U0000FE0F",
    "right_arrow": "\U000027A1\U0000FE0F",
    "right_arrow_curving_down": "\U00002935\U0000FE0F",
    "right_arrow_curving_left": "\U000021A9\U0000FE0F",
    "right_arrow_curving_up": "\U00002934\U0000FE0F",
    "ring": "\U0001F48D",
    "ringed_planet": "\U0001FA90",
    "roasted_sweet_potato": "\U0001F360",
    "robot": "\U0001F916",
    "rock": "\U0001FAA8",
    "rocket": "\U0001F680",
    "roll_of_paper": "\U0001F9FB",
    "rolled-up_newspaper": "\U0001F5DE\U0000FE0F",
    "roller_coaster": "\U0001F3A2",
    "roller_skate": "\U0001F6FC",
    "rolling_on_the_floor_laughing": "\U0001F923",
    "rooster": "\U0001F413",
    "rose": "\U0001F339",
    "rosette": "\U0001F3F5\U0000FE0F",
    "round_pushpin": "\U0001F4CD",
    "rugby_football": "\U0001F3C9",
    "running_shirt": "\U0001F3BD",
    "running_shoe": "\U0001F45F",
    "sad_but_relieved_face": "\U0001F625",
    "safety_pin": "\U0001F9F7",
    "safety_vest": "\U0001F9BA",
    "sailboat": "\U000026F5",
    "sake": "\U0001F376",
    "salt": "\U0001F9C2",
    "sandwich": "\U0001F96A",
    "sari": "\U0001F97B",
    "satellite": "\U0001F6F0\U0000FE0F",
    "satellite_antenna": "\U0001F4E1",
    "sauropod": "\U0001F995",
    "saxophone": "\U0001F3B7",
    "scarf": "\U0001F9E3",
    "school": "\U0001F3EB",
    "scientist": "\U0001F9D1\U0000200D\U0001F52C",
    "scissors": "\U00002702\U0000FE0F",
    "scorpion": "\U0001F982",
    "screwdriver": "\U0001FA9B",
    "scroll": "\U0001F4DC",
    "seal": "\U0001F9AD",
    "seat": "\U0001F4BA",
    "see-no-evil_monkey": "\U0001F648",
    "seedling": "\U0001F331",
    "selfie": "\U0001F933",
    "service_dog": "\U0001F415\U0000200D\U0001F9BA",
    "seven-thirty": "\U0001F562",
    "seven_o’clock": "\U0001F556",
    "sewing_needle": "\U0001FAA1",
    "shallow_pan_of_food": "\U0001F958",
    "shamrock": "\U00002618\U0000FE0F",
    "shark": "\U0001F988",
    "shaved_ice": "\U0001F367",
    "sheaf_of_rice": "\U0001F33E",
    "shield": "\U0001F6E1\U0000FE0F",
    "shinto_shrine": "\U000026E9\U0000FE0F",
    "ship": "\U0001F6A2",
    "shooting_star": "\U0001F320",
    "shopping_bags": "\U0001F6CD\U0000FE0F",
    "shopping_cart": "\U0001F6D2",
    "shortcake": "\U0001F370",
    "shorts": "\U0001FA73",
    "shower": "\U0001F6BF",
    "shrimp": "\U0001F990",
    "shuffle_tracks_button": "\U0001F500",
    "shushing_face": "\U0001F92B",
    "sign_of_the_horns": "\U0001F918",
    "singer": "\U0001F9D1\U0000200D\U0001F3A4",
    "six-thirty": "\U0001F561",
    "six_o’clock": "\U0001F555",
    "skateboard": "\U0001F6F9",
    "skier": "\U000026F7\U0000FE0F",
    "skis": "\U0001F3BF",
    "skull": "\U0001F480",
    "skull_and_crossbones": "\U00002620\U0000FE0F",
    "skunk": "\U0001F9A8",
    "sled": "\U0001F6F7",
    "sleeping_face": "\U0001F634",
    "sleepy_face": "\U0001F62A",
    "slightly_frowning_face": "\U0001F641",
    "slightly_smiling_face": "\U0001F642",
    "slot_machine": "\U0001F3B0",
    "sloth": "\U0001F9A5",
    "small_airplane": "\U0001F6E9\U0000FE0F",
    "small_blue_diamond": "\U0001F539",
    "small_orange_diamond": "\U0001F538",
    "smiling_cat_with_heart-eyes": "\U0001F63B",
    "smiling_face": "\U0000263A\U0000FE0F",
    "smiling_face_with_halo": "\U0001F607",
    "smiling_face_with_heart-eyes": "\U0001F60D",
    "smiling_face_with_hearts": "\U0001F970",
    "smiling_face_with_horns": "\U0001F608",
    "smiling_face_with_open_hands": "\U0001F917",
    "smiling_face_with_smiling_eyes": "\U0001F60A",
    "smiling_face_with_sunglasses": "\U0001F60E",
    "smiling_face_with_tear": "\U0001F972",
    "smirking_face": "\U0001F60F",
    "snail": "\U0001F40C",
    "snake": "\U0001F40D",
    "sneezing_face": "\U0001F927",
    "snow-capped_mountain": "\U0001F3D4\U0000FE0F",
    "snowboarder": "\U0001F3C2",
    "snowflake": "\U00002744\U0000FE0F",
    "snowman": "\U00002603\U0000FE0F",
    "snowman_without_snow": "\U000026C4",
    "soap": "\U0001F9FC",
    "soccer_ball": "\U000026BD",
    "socks": "\U0001F9E6",
    "soft_ice_cream": "\U0001F366",
    "softball": "\U0001F94E",
    "spade_suit": "\U00002660\U0000FE0F",
    "spaghetti": "\U0001F35D",
    "sparkle": "\U00002747\U0000FE0F",
    "sparkler": "\U0001F387",
    "sparkles": "\U00002728",
    "sparkling_heart": "\U0001F496",
    "speak-no-evil_monkey": "\U0001F64A",
    "speaker_high_volume": "\U0001F50A",
    "speaker_low_volume": "\U0001F508",
    "speaker_medium_volume": "\U0001F509",
    "speaking_head": "\U0001F5E3\U0000FE0F",
    "speech_balloon": "\U0001F4AC",
    "speedboat": "\U0001F6A4",
    "spider": "\U0001F577\U0000FE0F",
    "spider_web": "\U0001F578\U0000FE0F",
    "spiral_calendar": "\U0001F5D3\U0000FE0F",
    "spiral_notepad": "\U0001F5D2\U0000FE0F",
    "spiral_shell": "\U0001F41A",
    "sponge": "\U0001F9FD",
    "spoon": "\U0001F944",
    "sport_utility_vehicle": "\U0001F699",
    "sports_medal": "\U0001F3C5",
    "spouting_whale": "\U0001F433",
    "squid": "\U0001F991",
    "squinting_face_with_tongue": "\U0001F61D",
    "stadium": "\U0001F3DF\U0000FE0F",
    "star": "\U00002B50",
    "star-struck": "\U0001F929",
    "star_and_crescent": "\U0000262A\U0000FE0F",
    "star_of_David": "\U00002721\U0000FE0F",
    "station": "\U0001F689",
    "steaming_bowl": "\U0001F35C",
    "stethoscope": "\U0001FA7A",
    "stop_button": "\U000023F9\U0000FE0F",
    "stop_sign": "\U0001F6D1",
    "stopwatch": "\U000023F1\U0000FE0F",
    "straight_ruler": "\U0001F4CF",
    "strawberry": "\U0001F353",
    "student": "\U0001F9D1\U0000200D\U0001F393",
    "studio_microphone": "\U0001F399\U0000FE0F",
    "stuffed_flatbread": "\U0001F959",
    "sun": "\U00002600\U0000FE0F",
    "sun_behind_cloud": "\U000026C5",
    "sun_behind_large_cloud": "\U0001F325\U0000FE0F",
    "sun_behind_rain_cloud": "\U0001F326\U0000FE0F",
    "sun_behind_small_cloud": "\U0001F324\U0000FE0F",
    "sun_with_face": "\U0001F31E",
    "sunflower": "\U0001F33B",
    "sunglasses": "\U0001F576\U0000FE0F",
    "sunrise": "\U0001F305",
    "sunrise_over_mountains": "\U0001F304",
    "sunset": "\U0001F307",
    "superhero": "\U0001F9B8",
    "supervillain": "\U0001F9B9",
    "sushi": "\U0001F363",
    "suspension_railway": "\U0001F69F",
    "swan": "\U0001F9A2",
    "sweat_droplets": "\U0001F4A6",
    "synagogue": "\U0001F54D",
    "syringe": "\U0001F489",
    "t-shirt": "\U0001F455",
    "taco": "\U0001F32E",
    "takeout_box": "\U0001F961",
    "tamale": "\U0001FAD4",
    "tanabata_tree": "\U0001F38B",
    "tangerine": "\U0001F34A",
    "taxi": "\U0001F695",
    "teacher": "\U0001F9D1\U0000200D\U0001F3EB",
    "teacup_without_handle": "\U0001F375",
    "teapot": "\U0001FAD6",
    "tear-off_calendar": "\U0001F4C6",
    "technologist": "\U0001F9D1\U0000200D\U0001F4BB",
    "teddy_bear": "\U0001F9F8",
    "telephone": "\U0000260E\U0000FE0F",
    "telephone_receiver": "\U0001F4DE",
    "telescope": "\U0001F52D",
    "television": "\U0001F4FA",
    "ten-thirty": "\U0001F565",
    "ten_o’clock": "\U0001F559",
    "tennis": "\U0001F3BE",
    "tent": "\U000026FA",
    "test_tube": "\U0001F9EA",
    "thermometer": "\U0001F321\U0000FE0F",
    "thinking_face": "\U0001F914",
    "thong_sandal": "\U0001FA74",
    "thought_balloon": "\U0001F4AD",
    "thread": "\U0001F9F5",
    "three-thirty": "\U0001F55E",
    "three_o’clock": "\U0001F552",
    "thumbs_down": "\U0001F44E",
    "thumbs_up": "\U0001F44D",
    "ticket": "\U0001F3AB",
    "tiger": "\U0001F405",
    "tiger_face": "\U0001F42F",
    "timer_clock": "\U000023F2\U0000FE0F",
    "tired_face": "\U0001F62B",
    "toilet": "\U0001F6BD",
    "tomato": "\U0001F345",
    "tongue": "\U0001F445",
    "toolbox": "\U0001F9F0",
    "tooth": "\U0001F9B7",
    "toothbrush": "\U0001FAA5",
    "top_hat": "\U0001F3A9",
    "tornado": "\U0001F32A\U0000FE0F",
    "trackball": "\U0001F5B2\U0000FE0F",
    "tractor": "\U0001F69C",
    "trade_mark": "\U00002122\U0000FE0F",
    "train": "\U0001F686",
    "tram": "\U0001F68A",
    "tram_car": "\U0001F68B",
    "transgender_flag": "\U0001F3F3\U0000FE0F\U0000200D\U000026A7\U0000FE0F",
    "transgender_symbol": "\U000026A7\U0000FE0F",
    "triangular_flag": "\U0001F6A9",
    "triangular_ruler": "\U0001F4D0",
    "trident_emblem": "\U0001F531",
    "trolleybus": "\U0001F68E",
    "trophy": "\U0001F3C6",
    "tropical_drink": "\U0001F379",
    "tropical_fish": "\U0001F420",
    "trumpet": "\U0001F3BA",
    "tulip": "\U0001F337",
    "tumbler_glass": "\U0001F943",
    "turkey": "\U0001F983",
    "turtle": "\U0001F422",
    "twelve-thirty": "\U0001F567",
    "twelve_o’clock": "\U0001F55B",
    "two-hump_camel": "\U0001F42B",
    "two-thirty": "\U0001F55D",
    "two_hearts": "\U0001F495",
    "two_o’clock": "\U0001F551",
    "umbrella": "\U00002602\U0000FE0F",
    "umbrella_on_ground": "\U000026F1\U0000FE0F",
    "umbrella_with_rain_drops": "\U00002614",
    "unamused_face": "\U0001F612",
    "unicorn": "\U0001F984",
    "unlocked": "\U0001F513",
    "up-down_arrow": "\U00002195\U0000FE0F",
    "up-left_arrow": "\U00002196\U0000FE0F",
    "up-right_arrow": "\U00002197\U0000FE0F",
    "up_arrow": "\U00002B06\U0000FE0F",
    "upside-down_face": "\U0001F643",
    "upwards_button": "\U0001F53C",
    "vampire": "\U0001F9DB",
    "vertical_traffic_light": "\U0001F6A6",
    "vibration_mode": "\U0001F4F3",
    "victory_hand": "\U0000270C\U0000FE0F",
    "video_camera": "\U0001F4F9",
    "video_game": "\U0001F3AE",
    "videocassette": "\U0001F4FC",
    "violin": "\U0001F3BB",
    "volcano": "\U0001F30B",
    "volleyball": "\U0001F3D0",
    "vulcan_salute": "\U0001F596",
    "waffle": "\U0001F9C7",
    "waning_crescent_moon": "\U0001F318",
    "waning_gibbous_moon": "\U0001F316",
    "warning": "\U000026A0\U0000FE0F",
    "wastebasket": "\U0001F5D1\U0000FE0F",
    "watch": "\U0000231A",
    "water_buffalo": "\U0001F403",
    "water_closet": "\U0001F6BE",
    "water_pistol": "\U0001F52B",
    "water_wave": "\U0001F30A",
    "watermelon": "\U0001F349",
    "waving_hand": "\U0001F44B",
    "wavy_dash": "\U00003030\U0000FE0F",
    "waxing_crescent_moon": "\U0001F312",
    "waxing_gibbous_moon": "\U0001F314",
    "weary_cat": "\U0001F640",
    "weary_face": "\U0001F629",
    "wedding": "\U0001F492",
    "whale": "\U0001F40B",
    "wheel_of_dharma": "\U00002638\U0000FE0F",
    "wheelchair_symbol": "\U0000267F",
    "white_cane": "\U0001F9AF",
    "white_circle": "\U000026AA",
    "white_exclamation_mark": "\U00002755",
    "white_flag": "\U0001F3F3\U0000FE0F",
    "white_flower": "\U0001F4AE",
    "white_heart": "\U0001F90D",
    "white_large_square": "\U00002B1C",
    "white_medium-small_square": "\U000025FD",
    "white_medium_square": "\U000025FB\U0000FE0F",
    "white_question_mark": "\U00002754",
    "white_small_square": "\U000025AB\U0000FE0F",
    "white_square_button": "\U0001F533",
    "wilted_flower": "\U0001F940",
    "wind_chime": "\U0001F390",
    "wind_face": "\U0001F32C\U0000FE0F",
    "window": "\U0001FA9F",
    "wine_glass": "\U0001F377",
    "winking_face": "\U0001F609",
    "winking_face_with_tongue": "\U0001F61C",
    "wolf": "\U0001F43A",
    "woman": "\U0001F469",
    "woman_and_man_holding_hands": "\U0001F46B",
    "woman_artist": "\U0001F469\U0000200D\U0001F3A8",
    "woman_astronaut": "\U0001F469\U0000200D\U0001F680",
    "woman_bald": "\U0001F469\U0000200D\U0001F9B2",
    "woman_beard": "\U0001F9D4\U0000200D\U00002640\U0000FE0F",
    "woman_biking": "\U0001F6B4\U0000200D\U00002640\U0000FE0F",
    "woman_blond_hair": "\U0001F471\U0000200D\U00002640\U0000FE0F",
    "woman_bouncing_ball": "\U000026F9\U0000FE0F\U0000200D\U00002640\U0000FE0F",
    "woman_bowing": "\U0001F647\U0000200D\U00002640\U0000FE0F",
    "woman_cartwheeling": "\U0001F938\U0000200D\U00002640\U0000FE0F",
    "woman_climbing": "\U0001F9D7\U0000200D\U00002640\U0000FE0F",
    "woman_construction_worker": "\U0001F477\U0000200D\U00002640\U0000FE0F",
    "woman_cook": "\U0001F469\U0000200D\U0001F373",
    "woman_curly_hair": "\U0001F469\U0000200D\U0001F9B1",
    "woman_dancing": "\U0001F483",
    "woman_detective": "\U0001F575\U0000FE0F\U0000200D\U00002640\U0000FE0F",
    "woman_elf": "\U0001F9DD\U0000200D\U00002640\U0000FE0F",
    "woman_facepalming": "\U0001F926\U0000200D\U00002640\U0000FE0F",
    "woman_factory_worker": "\U0001F469\U0000200D\U0001F3ED",
    "woman_fairy": "\U0001F9DA\U0000200D\U00002640\U0000FE0F",
    "woman_farmer": "\U0001F469\U0000200D\U0001F33E",
    "woman_feeding_baby": "\U0001F469\U0000200D\U0001F37C",
    "woman_firefighter": "\U0001F469\U0000200D\U0001F692",
    "woman_frowning": "\U0001F64D\U0000200D\U00002640\U0000FE0F",
    "woman_genie": "\U0001F9DE\U0000200D\U00002640\U0000FE0F",
    "woman_gesturing_NO": "\U0001F645\U0000200D\U00002640\U0000FE0F",
    "woman_gesturing_OK": "\U0001F646\U0000200D\U00002640\U0000FE0F",
    "woman_getting_haircut": "\U0001F487\U0000200D\U00002640\U0000FE0F",
    "woman_getting_massage": "\U0001F486\U0000200D\U00002640\U0000FE0F",
    "woman_golfing": "\U0001F3CC\U0000FE0F\U0000200D\U00002640\U0000FE0F",
    "woman_guard": "\U0001F482\U0000200D\U00002640\U0000FE0F",
    "woman_health_worker": "\U0001F469\U0000200D\U00002695\U0000FE0F",
    "woman_in_lotus_position": "\U0001F9D8\U0000200D\U00002640\U0000FE0F",
    "woman_in_manual_wheelchair": "\U0001F469\U0000200D\U0001F9BD",
    "woman_in_motorized_wheelchair": "\U0001F469\U0000200D\U0001F9BC",
    "woman_in_steamy_room": "\U0001F9D6\U0000200D\U00002640\U0000FE0F",
    "woman_in_tuxedo": "\U0001F935\U0000200D\U00002640\U0000FE0F",
    "woman_judge": "\U0001F469\U0000200D\U00002696\U0000FE0F",
    "woman_juggling": "\U0001F939\U0000200D\U00002640\U0000FE0F",
    "woman_kneeling": "\U0001F9CE\U0000200D\U00002640\U0000FE0F",
    "woman_lifting_weights": "\U0001F3CB\U0000FE0F\U0000200D\U00002640\U0000FE0F",
    "woman_mage": "\U0001F9D9\U0000200D\U00002640\U0000FE0F",
    "woman_mechanic": "\U0001F469\U0000200D\U0001F527",
    "woman_mountain_biking": "\U0001F6B5\U0000200D\U00002640\U0000FE0F",
    "woman_office_worker": "\U0001F469\U0000200D\U0001F4BC",
    "woman_pilot": "\U0001F469\U0000200D\U00002708\U0000FE0F",
    "woman_playing_handball": "\U0001F93E\U0000200D\U00002640\U0000FE0F",
    "woman_playing_water_polo": "\U0001F93D\U0000200D\U00002640\U0000FE0F",
    "woman_police_officer": "\U0001F46E\U0000200D\U00002640\U0000FE0F",
    "woman_pouting": "\U0001F64E\U0000200D\U00002640\U0000FE0F",
    "woman_raising_hand": "\U0001F64B\U0000200D\U00002640\U0000FE0F",
    "woman_red_hair": "\U0001F469\U0000200D\U0001F9B0",
    "woman_rowing_boat": "\U0001F6A3\U0000200D\U00002640\U0000FE0F",
    "woman_running": "\U0001F3C3\U0000200D\U00002640\U0000FE0F",
    "woman_scientist": "\U0001F469\U0000200D\U0001F52C",
    "woman_shrugging": "\U0001F937\U0000200D\U00002640\U0000FE0F",
    "woman_singer": "\U0001F469\U0000200D\U0001F3A4",
    "woman_standing": "\U0001F9CD\U0000200D\U00002640\U0000FE0F",
    "woman_student": "\U0001F469\U0000200D\U0001F393",
    "woman_superhero": "\U0001F9B8\U0000200D\U00002640\U0000FE0F",
    "woman_supervillain": "\U0001F9B9\U0000200D\U00002640\U0000FE0F",
    "woman_surfing": "\U0001F3C4\U0000200D\U00002640\U0000FE0F",
    "woman_swimming": "\U0001F3CA\U0000200D\U00002640\U0000FE0F",
    "woman_teacher": "\U0001F469\U0000200D\U0001F3EB",
    "woman_technologist": "\U0001F469\U0000200D\U0001F4BB",
    "woman_tipping_hand": "\U0001F481\U0000200D\U00002640\U0000FE0F",
    "woman_vampire": "\U0001F9DB\U0000200D\U00002640\U0000FE0F",
    "woman_walking": "\U0001F6B6\U0000200D\U00002640\U0000FE0F",
    "woman_wearing_turban": "\U0001F473\U0000200D\U00002640\U0000FE0F",
    "woman_white_hair": "\U0001F469\U0000200D\U0001F9B3",
    "woman_with_headscarf": "\U0001F9D5",
    "woman_with_veil": "\U0001F470\U0000200D\U00002640\U0000FE0F",
    "woman_with_white_cane": "\U0001F469\U0000200D\U0001F9AF",
    "woman_zombie": "\U0001F9DF\U0000200D\U00002640\U0000FE0F",
    "woman’s_boot": "\U0001F462",
    "woman’s_clothes": "\U0001F45A",
    "woman’s_hat": "\U0001F452",
    "woman’s_sandal": "\U0001F461",
    "women_holding_hands": "\U0001F46D",
    "women_with_bunny_ears": "\U0001F46F\U0000200D\U00002640\U0000FE0F",
    "women_wrestling": "\U0001F93C\U0000200D\U00002640\U0000FE0F",
    "women’s_room": "\U0001F6BA",
    "wood": "\U0001FAB5",
    "woozy_face": "\U0001F974",
    "world_map": "\U0001F5FA\U0000FE0F",
    "worm": "\U0001FAB1",
    "worried_face": "\U0001F61F",
    "wrapped_gift": "\U0001F381",
    "wrench": "\U0001F527",
    "writing_hand": "\U0000270D\U0000FE0F",
    "yarn": "\U0001F9F6",
    "yawning_face": "\U0001F971",
    "yellow_circle": "\U0001F7E1",
    "yellow_heart": "\U0001F49B",
    "yellow_square": "\U0001F7E8",
    "yen_banknote": "\U0001F4B4",
    "yin_yang": "\U0000262F\U0000FE0F",
    "yo-yo": "\U0001FA80",
    "zany_face": "\U0001F92A",
    "zebra": "\U0001F993",
    "zipper-mouth_face": "\U0001F910",
    "zombie": "\U0001F9DF",
}


GOOD_EMOJIS = [
    "thumbs_up",
    "clapping_hands",
    "folded_hands",
    "raised_fist",
    "flexed_biceps",
    "smiling_face_with_sunglasses",
    "star-struck",
    "crown",
    "fire",
    "bullseye",
    "taco",
    "glowing_star",
    "hundred_points",
    "high_voltage",
    "kiss_mark",
    "party_popper",
    "partying_face",
    "rocket",
    "pizza",
    "clinking_glasses",
    "cherries",
    "1st_place_medal",
    "chart_increasing",
]

BAD_EMOJIS = [
    "scorpion",
    "snake",
    "skull_and_crossbones",
    "skull",
    "skunk",
    "vampire",
    "weary_cat",
    "collision",
    "weary_face",
    "angry_face",
    "frowning_face",
    "frowning_face_with_open_mouth",
    "thumbs_down",
    "toilet",
]

COLLECTIONS = {
    "gun_to_the_head": ["water_pistol", "weary_face"],
    "gamble": ["crossed_fingers", "game_die"],
    "old_school": [
        "floppy_disk",
        "videocassette",
        "video_game",
        "video_camera",
        "pager",
    ],
    "security": ["key", "old_key", "police_car", "police_officer", "police_car_light"],
    "phones": ["telephone", "telephone_receiver"],
    "winter": ["snowman", "snowflake", "skier"],
    "vacation": [
        "palm_tree",
        "man_surfing",
        "beach_with_umbrella",
        "passenger_ship",
        "tropical_drink",
    ],
    "money": ["money_with_wings", "money_bag", "heavy_dollar_sign", "dollar_banknote"],
    "sports": [
        "man_golfing",
        "man_running",
        "man_lifting_weights",
        "curling_stone",
        "basketball",
    ],
    "love": ["peach", "high-heeled_shoe", "lipstick", "kiss", "red_heart", "tongue"],
}


def load_emoji(short_name):
    code = EMOJIS.get(short_name)
    if code:
        return code


def print_samples():
    for k, v in EMOJIS.items():
        print(f"{k} - {v}")


def rnd_good_emoji(qty=1):
    """ """
    results = []
    for n in range(qty):
        r = random.randint(1, len(GOOD_EMOJIS))
        key = GOOD_EMOJIS[r - 1]
        results.append(EMOJIS[key])
    return "".join([x for x in results])


def rnd_bad_emoji(qty=1):
    """ """
    results = []
    for n in range(qty):
        r = random.randint(1, len(BAD_EMOJIS))
        key = BAD_EMOJIS[r - 1]
        results.append(EMOJIS[key])

    return "".join([x for x in results])
